<h1>Alignment and Centering</h1>

<p>There are many ways to align items as we have seen in previous sections we can use absolute, relative and float. There are
different ways we can align elements in the center also.</p>

<h3>Margin: Auto</h3>
<p><em>Margin: auto</em> allows us to align elements in the center horizontally. First you need to set the width of the element, the remaining
width of the window is split equally each side. This blue box is centered horizontally even if you stretch the window, or make it smaller.</p>

<div class="box blueBox"></div>
<br>
<div class="col-md-4 codeExample">
  <em>styles.css</em>
  <pre>
  .blueBox {{'{'}}
    margin: auto;
    width: 100px;
  }
</pre>
</div>
<br>

<h3>Text-Align</h3>
<p>You can center text inside its container using the 'text-align: center' property. Here we are also centering the text vertically by using padding property.</p>

<div class="containerBox">
  This text is centered
</div>
<br>
<div class="col-md-4 codeExample">
  <em>styles.css</em>
  <pre>
  .textBox {{'{'}}
    text-align: center;
    padding: 50px;
  }
</pre>
</div>
<br>

<h3>Vertical Centering Using Flex</h3>
<p>You can center elements vertically different ways, one way is by using padding like we did above. Another way is that we can use the <em>display: flex</em> property; we use flex with <em>justify-content</em> and <em>align-items</em>. Apply the
following properties to the container</p>


<div class="center">
  This text is vertically and horizontally centered
</div>

<br>
<div class="col-md-4 codeExample">
  <em>styles.css</em>
  <pre>
  .textBox {{'{'}}
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100px;
  }
</pre>
</div>
<br>
